package com.ylx.massage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ylx.massage.domain.TAddress;

/**
 * 轮播图(TAddress)表服务接口
 *
 * @author makejava
 * @since 2024-04-11 17:18:53
 */
public interface TAddressService extends IService<TAddress> {

    /**
     * 获取默认地址
     * @param openId
     * @return
     */
    public TAddress getByOpenId(String openId);

    Boolean defaultAddress(TAddress tAddress);

    Object insertAddress(TAddress tAddress);

     /**
     * 新增虚拟地址
     * @param tAddress
     * @return
     */
    Object insertVirtualAddress(TAddress tAddress);

    Object updateAddress(TAddress tAddress);
}

